Bug 107438 - ODF export LO uses wrong element for user data "initials" in file (loext:sender-initials)
Summary: ODF export LO uses wrong element for user data "initials" in file (loext:send...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.6.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: odf target:6.0.0 target:5.4.0.1 targe...
Keywords: filter:odt
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2017-04-26 08:04 UTC by Regina Henschel
Modified: 2017-06-26 15:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-04-26 08:04:53 UTC
Open Tools >Options >LibreOffice >UserData and make sure that the field "initials" is not empty.
Take a Writer document, go to Insert > Fields > Others > tab Document, Type Sender and insert the field "Initials".
Save and close document.
Examine the content.xml.
You will find element <loext:sender-initials> but it should be <text:sender-initials>. See http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1415276_253892949

LibreOffice must not use own namespace, if an ODF element exists.

I don't know, when this has been introduced. Apache OpenOffice 4.1.2 does it right. LibreOffice version 4.2 does not write the field at all.
Comment 1 Jacques Guilleron 2017-04-26 16:29:12 UTC
Hi Regina,

I confirm <loext:sender-initials> with
LO 4.3.0.0.beta1 Build ID: b7cfa1eab1cb1e94f71d6df6612b73f231d0bf92
and upper versies,
but not with
LO  4.2.8.1 Build ID: 4044db1653798618515c987464157abee9229c11
and lesser versies until 
LO 3.5.3.2 ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
where I find: <text:sender-initials>.
Windows 7 Home or Windows NT 6.1
Comment 2 Regina Henschel 2017-06-05 15:11:12 UTC
If the saving format is set to strict ODF 1.2, then the field is not saved at all, although it is shown in the document when creating the field. So this is information lost.

It seems the problem was introduced with bug 72697, therefore set Eike in CC.
Comment 3 Eike Rathke 2017-06-20 09:33:18 UTC
Argh.. That was supposed to change the name only for annotation initials, where ODF does not allow <text:sender-initials>, but not general fields.
Comment 4 Commit Notification 2017-06-20 11:00:38 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29f250c428953750ce89dec7ee961723478609c1

Resolves: tdf#107438 write <text:sender-initials> for fields

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Eike Rathke 2017-06-20 11:23:20 UTC
Pending review
https://gerrit.libreoffice.org/39011 for 5-4
https://gerrit.libreoffice.org/39012 for 5-3
Comment 6 Commit Notification 2017-06-20 17:28:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a51022cebf8b515a7913d767a8c5f6886dc64720&h=libreoffice-5-4

Resolves: tdf#107438 write <text:sender-initials> for fields

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-06-22 11:53:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cfb44fa3fa5449319c61023b9f9fb52ae87acc04&h=libreoffice-5-3

Resolves: tdf#107438 write <text:sender-initials> for fields

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Jacques Guilleron 2017-06-26 15:53:43 UTC
Works with
LO 6.0.0.0.alpha0+ Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-26_01:24:22
Locale: fr-FR (fr_FR); Calc: CL
Thank you Eike.